<?php



class TblcomplainMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblcomplainMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblcomplainPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblcomplainPeer::TABLE_NAME);
		$tMap->setPhpName('Tblcomplain');
		$tMap->setClassname('Tblcomplain');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('CP_ID', 'CpId', 'INTEGER', true, null);

		$tMap->addForeignKey('CP_USER', 'CpUser', 'INTEGER', 'tbluser', 'US_ID', false, null);

		$tMap->addColumn('CP_NOTE', 'CpNote', 'LONGVARCHAR', false, null);

		$tMap->addColumn('CP_DATE', 'CpDate', 'TIMESTAMP', false, null);

		$tMap->addColumn('CP_SOLVEDUSER', 'CpSolveduser', 'INTEGER', false, null);

		$tMap->addColumn('CP_SOLVEDDATE', 'CpSolveddate', 'TIMESTAMP', false, null);

		$tMap->addColumn('CP_CATEGORY', 'CpCategory', 'INTEGER', false, null);

		$tMap->addColumn('CP_BLOG', 'CpBlog', 'INTEGER', false, null);

		$tMap->addColumn('CP_ENTRY', 'CpEntry', 'INTEGER', false, null);

		$tMap->addColumn('CP_TYPE', 'CpType', 'TINYINT', false, null);

		$tMap->addColumn('CP_SOLVEDTYPE', 'CpSolvedtype', 'TINYINT', false, null);

	} 
} 